%define base_name apt-conf
%define distro platform5
%define Distro Platform 5

Name: %base_name-%distro
Version: 5.0
Release: alt3.M50P.1
Epoch:   1

Summary: A set of apt configuration files for %distribution %Distro
License: GPL
Group: System/Configuration/Packaging
Packager: Anton V. Boyarshinov <boyarsh@altlinux.org>

Source: %name-%version.tar

Provides: %base_name = %version-%release, %_sysconfdir/apt/pkgpriorities
PreReq: coreutils
Conflicts: apt <= 0:0.5.15cnc6-alt14
%{expand:%%global o_list apt-conf < 0:4.0 %(for n in Castle Compact Junior Master Spring branch desktop hpc junior master office-server school server sisyphus terminal; do echo -n "apt-conf-$n "; done)}
%{?o_list:Obsoletes: %o_list}

%description
This package contains default apt configuration for %distribution %Distro.

%prep
%setup

%build
%make_build REPOSITORIES='p5'

%install
%makeinstall

%triggerpostun -- apt < 0.3.19cnc51-alt3 %{?o_list:%o_list}
f=%_sysconfdir/apt/sources.list
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/apt

%changelog
* Fri Nov 26 2010 Andrey Cherepanov <cas@altlinux.org> 1:5.0-alt3.M50P.1
- fix priority above apt-conf-branch

* Mon Apr 19 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 5.0-alt3
- update

* Sat Nov 07 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 5.0-alt2
- Add conflict with apt-conf-sisyphus and apt-conf-desktop (ALT #22202)

* Fri Aug 21 2009 Vitaly Kuznetsov <vitty@altlinux.ru> 5.0-alt1
- Initial build
